
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


#if !defined(AFX_COMMENTSDLG_H__37E9DD60_E073_11D2_9963_289A08C10000__INCLUDED_)
#define AFX_COMMENTSDLG_H__37E9DD60_E073_11D2_9963_289A08C10000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// CommentsDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCommentsDlg dialog

class CFractMusView;

class CCommentsDlg : public CDialog
{
// Construction
public:
	CCommentsDlg(CWnd* pParent = NULL);   // standard constructor

	CFractMusView* pView;

	BOOL m_canedit;

// Dialog Data
	//{{AFX_DATA(CCommentsDlg)
	enum { IDD = IDD_COMMENTS };
	CString	m_comment;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCommentsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CCommentsDlg)
	virtual void OnCancel();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COMMENTSDLG_H__37E9DD60_E073_11D2_9963_289A08C10000__INCLUDED_)
