
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


// ComposersCreditsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "FractMus.h"
#include "ComposersCreditsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CComposersCreditsDlg dialog


CComposersCreditsDlg::CComposersCreditsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CComposersCreditsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CComposersCreditsDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CComposersCreditsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CComposersCreditsDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CComposersCreditsDlg, CDialog)
	//{{AFX_MSG_MAP(CComposersCreditsDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CComposersCreditsDlg message handlers

BOOL CComposersCreditsDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	CListBox* Composers = (CListBox*)GetDlgItem(IDC_COMPOSERS_LIST);

	Composers->AddString("Anthony Basil\tdriving miss crazy.fms\t\t2.5");
	Composers->AddString("\t\touthere.fms\t\t\t2.5");

	Composers->AddString("");

	Composers->AddString("Jeremy Cavaterra\tscuba canon.fms\t\t\t2.5");
	Composers->AddString("\t\tspasms.fms\t\t\t2.5");
	Composers->AddString("\t\tThe Rite of Summer.fms\t\t2.5");
	Composers->AddString("\t\tschizoid.fms\t\t\t2.5");
	Composers->AddString("\t\tRod Serling.fms\t\t\t2.5");
	Composers->AddString("\t\tDunce Dance.fms\t\t\t2.5");

	Composers->AddString("");
	
	Composers->AddString("Brian Caughell\tPastoral1.fms\t\t\t2.0");
	Composers->AddString("\t\tPlateau.fms\t\t\t2.0");
	Composers->AddString("\t\tSerpentine.fms\t\t\t2.0");
	Composers->AddString("\t\tSpace Music2.fms\t\t\t2.0");
	Composers->AddString("\t\tTreeForks.fms\t\t\t2.0");
	Composers->AddString("\t\tTwiceWithMyce.fms\t\t2.0");
	Composers->AddString("\t\tWhiskeyAStopStop.fms\t\t2.0");

	Composers->AddString("");

	Composers->AddString("Gustavo Diaz\tafro.fms\t\t\t\t2.0");
	Composers->AddString("\t\tambient.fms\t\t\t2.0");
	Composers->AddString("\t\tautumn.fms\t\t\t2.0");
	Composers->AddString("\t\tCage 4'3''.fms\t\t\t2.0");
	Composers->AddString("\t\tcanons.fms\t\t\t1.0");
	Composers->AddString("\t\tContemplation.fms\t\t\t2.5");
	Composers->AddString("\t\tcrazy.fms\t\t\t\t1.0");
	Composers->AddString("\t\tFuga a 3.fms\t\t\t2000");
	Composers->AddString("\t\tHauntedHouse1.fms\t\t2.5");
	Composers->AddString("\t\tjamaica.fms\t\t\t2.0");
	Composers->AddString("\t\tKaleidoskope.fms\t\t\t2000");
	Composers->AddString("\t\tmeditation.fms\t\t\t2.0");
	Composers->AddString("\t\tmellow.fms\t\t\t2.0");
	Composers->AddString("\t\tprimer2.fms\t\t\t2.0");
	Composers->AddString("\t\tprimer3.fms\t\t\t2.0");
	Composers->AddString("\t\tRex tremendae.fms\t\t\t2000");
	Composers->AddString("\t\trhythms1.fms\t\t\t2.5");
	Composers->AddString("\t\trhythms2.fms\t\t\t2.0");
	Composers->AddString("\t\trhythms3.fms\t\t\t2.5");
	Composers->AddString("\t\tSabroso.fms\t\t\t2000");
	Composers->AddString("\t\tThe Pit.fms\t\t\t2.5");
	Composers->AddString("\t\tThe Subway.fms\t\t\t2.5");
	Composers->AddString("\t\tthought.fms\t\t\t2.0");
	Composers->AddString("\t\tunholy.fms\t\t\t2.5");

	Composers->AddString("");

	Composers->AddString("Antonio Linares\ttrip.fms\t\t\t\t2.0");
	Composers->AddString("\t\ttrip2.fms\t\t\t\t2.0");

	Composers->AddString("");

	Composers->AddString("Julius Mauranen\t13_for_luck(7).fms\t\t\t2.5");
	Composers->AddString("\t\tLead(4).fms\t\t\t2.5");

	Composers->AddString("");

	Composers->AddString("Rocco Priolo\tClearly Confused.fms\t\t2.5");
	Composers->AddString("\t\tDwarves~5.fms\t\t\t2.5");

	Composers->AddString("");
	
	Composers->AddString("Belinda Sanchez\tprimer1.fms\t\t\t2.0");

	Composers->AddString("");

	Composers->AddString("Rowsby\t\tCrystalTemple.fms\t\t\t2.5");
	Composers->AddString("\t\tEntwined2.fms\t\t\t2.5");


	Composers->AddString("");

	Composers->AddString("Dieter Stark\tVersuch2.fms\t\t\t2.5");
	Composers->AddString("\t\tversuch3.fms\t\t\t2.5");

	Composers->AddString("");

	Composers->AddString("Alun Williams\taluns.fms\t\t\t\t2.5");
	Composers->AddString("\t\tharpo.fms\t\t\t\t2.5");

	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
