
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


#ifndef _DYNAMICS_H
#define _DYNAMICS_H

// DynamicsDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDynamicsDlg dialog

class CDynamicsDlg : public CDialog
{
// Construction
public:
	CDynamicsDlg(CWnd* pParent = NULL);   // standard constructor

	int numchoices;

// Dialog Data
	//{{AFX_DATA(CDynamicsDlg)
	enum { IDD = IDD_DYNAMICS_DLG };
	BOOL	m_f;
	BOOL	m_ff;
	BOOL	m_mf;
	BOOL	m_mp;
	BOOL	m_p;
	BOOL	m_pp;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDynamicsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDynamicsDlg)
	afx_msg void OnFChk();
	afx_msg void OnFfChk();
	afx_msg void OnMfChk();
	afx_msg void OnMpChk();
	afx_msg void OnPChk();
	afx_msg void OnPpChk();
	virtual void OnCancel();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


#endif
