
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


#ifndef _GETNOTE_H
#define _GETNOTE_H

#include "FractMusView.h"

// GetNoteDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CGetNoteDlg dialog

class CGetNoteDlg : public CDialog
{
// Construction
public:
	CGetNoteDlg(CWnd* pParent = NULL);   // standard constructor

	void ShowNotes();
	UINT VoiceID[MAXVOICES];
	UINT StaticID[MAXVOICES];
	CFractMusView* pView;



// Dialog Data
	//{{AFX_DATA(CGetNoteDlg)
	enum { IDD = IDD_GETNOTE_DLG };
	UINT	m_StartCounterEdit;
	BOOL	m_playnotes;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGetNoteDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CGetNoteDlg)
	virtual void OnOK();
	virtual void OnCancel();
	virtual BOOL OnInitDialog();
	afx_msg void OnKillfocusChangeCounter();
	afx_msg void OnDecreaseCounter();
	afx_msg void OnIncreaseCounter();
	afx_msg void OnUpdateAll();
	afx_msg void OnPlayNotes();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


#endif
