
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


// HopalongMartinDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CHopalongMartinDlg dialog

#ifndef _HOPALONGMARTIN_H
#define _HOPALONGMARTIN_H

class CFractMusView;
class CHopalongGraph;


class CHopalongMartinDlg : public CDialog
{
// Construction
public:
	CHopalongMartinDlg(CWnd* pParent = NULL);   // standard constructor

	CString title;
	CFractMusView* pView;
	CHopalongGraph* m_pGraph;
	int voicenum;



// Dialog Data
	//{{AFX_DATA(CHopalongMartinDlg)
	enum { IDD = IDD_HOPALONGMARTIN_DLG };
	float	m_angle;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHopalongMartinDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CHopalongMartinDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnVisualize();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
