
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


// LogMapDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CLogMapDlg dialog

#ifndef LOGMAPDLG_H
#define LOGMAPDLG_H

class CFractMusView;
class CLogmapGraph;


class CLogMapDlg : public CDialog
{
// Construction
public:
	CLogMapDlg(CWnd* pParent = NULL);   // standard constructor

	CString title;
	CFractMusView* pView;
	CLogmapGraph* m_pGraph;
	int voicenum;


// Dialog Data
	//{{AFX_DATA(CLogMapDlg)
	enum { IDD = IDD_LOGMAP_DLG };
	float	m_LogMapVar;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLogMapDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CLogMapDlg)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnVisualize();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
