
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


// NoteValDlg.cpp : implementation file
//

#include "stdafx.h"
#include "FractMus.h"
#include "NoteValDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNoteValDlg dialog


CNoteValDlg::CNoteValDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CNoteValDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CNoteValDlg)
	m_NewVal = 0;
	//}}AFX_DATA_INIT
}


void CNoteValDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNoteValDlg)
	DDX_Text(pDX, IDC_NEWVAL, m_NewVal);
	DDV_MinMaxLong(pDX, m_NewVal, 1, 960);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CNoteValDlg, CDialog)
	//{{AFX_MSG_MAP(CNoteValDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNoteValDlg message handlers

void CNoteValDlg::OnCancel() 
{
}

void CNoteValDlg::OnOK() 
{
	if(!UpdateData(TRUE))
		return;
	
	CDialog::OnOK();
}

BOOL CNoteValDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	SetWindowText(title);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
