
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


// P1RangeDlg.cpp : implementation file
//

#include "stdafx.h"
#include "FractMus.h"
#include "P1RangeDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CP1RangeDlg dialog


CP1RangeDlg::CP1RangeDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CP1RangeDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CP1RangeDlg)
	m_from = 2;
	m_to = 100;
	//}}AFX_DATA_INIT

}


void CP1RangeDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CP1RangeDlg)
	DDX_Text(pDX, IDC_P1FROM, m_from);
	DDX_Text(pDX, IDC_P1TO, m_to);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CP1RangeDlg, CDialog)
	//{{AFX_MSG_MAP(CP1RangeDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CP1RangeDlg message handlers

void CP1RangeDlg::OnCancel() 
{
	
}

void CP1RangeDlg::OnOK() 
{

	UpdateData(TRUE);


	if (m_IsParam1)
	{
		if ((m_from<2)||(m_from>1000000)||(m_to<2)||
			(m_to>1000000)||(m_to<=m_from))
		{
			CString msg;
			msg = msg + "Parameters must be between 2 and 1000000\n";
			msg = msg + "From must be less than To";

			MessageBox(msg, "Error", MB_OK+MB_ICONEXCLAMATION);

			return;

		}
	}
	if (m_IsParam2)
	{
		if ((m_from<1)||(m_from>1000000000)||(m_to<1)||
			(m_to>1000000000)||(m_to<=m_from))
		{
			CString msg;
			msg = msg + "Parameters must be between 1 and 1000000000\n";
			msg = msg + "From must be less than To";

			MessageBox(msg, "Error", MB_OK+MB_ICONEXCLAMATION);
			return;
		}
	}
	if (m_IsNoteVal)
	{
		if ((m_from<1)||(m_from>960)||(m_to<1)||
			(m_to>960)||(m_to<=m_from))
		{
			CString msg;
			msg = msg + "Parameters must be between 1 and 960\n";
			msg = msg + "From must be less than To";

			MessageBox(msg, "Error", MB_OK+MB_ICONEXCLAMATION);
			return;
		}
	}


	
	CDialog::OnOK();
}

BOOL CP1RangeDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	SetWindowText(title);
	
	UpdateData(TRUE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
