
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


// P1RangeDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CP1RangeDlg dialog

#ifndef _P1RANGEDLG_H
#define _P1RANGEDLG_H

class CP1RangeDlg : public CDialog
{
// Construction
public:
	CP1RangeDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CP1RangeDlg)
	enum { IDD = IDD_P1RANGE_DLG };
	long	m_from;
	long	m_to;
	//}}AFX_DATA

	BOOL m_IsParam1;
	BOOL m_IsParam2;
	BOOL m_IsNoteVal;
	CString title;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CP1RangeDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CP1RangeDlg)
	virtual void OnCancel();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
