
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


// PercussionDlg.cpp : implementation file
//

#include "stdafx.h"
#include "FractMus.h"
#include "PercussionDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPercussionDlg dialog

extern int PercussionChannel;


CPercussionDlg::CPercussionDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPercussionDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPercussionDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CPercussionDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPercussionDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPercussionDlg, CDialog)
	//{{AFX_MSG_MAP(CPercussionDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPercussionDlg message handlers

void CPercussionDlg::OnCancel() 
{
}

void CPercussionDlg::OnOK() 
{
	CComboBox* pCB = (CComboBox*)GetDlgItem(IDC_COMBO1);

	m_sel = pCB->GetCurSel();

	CDialog::OnOK();
}

BOOL CPercussionDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	CComboBox* pCB = (CComboBox*)GetDlgItem(IDC_COMBO1);

	pCB->SetCurSel(m_sel);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
