
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


// RoundDlg.cpp : implementation file
//

#include "stdafx.h"
#include "FractMus.h"
#include "RoundDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRoundDlg dialog


CRoundDlg::CRoundDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CRoundDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRoundDlg)
	m_RoundVoice = -1;
	m_UpOrDown = 0;
	//}}AFX_DATA_INIT
}


void CRoundDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRoundDlg)
	DDX_Radio(pDX, IDC_VOICE1, m_RoundVoice);
	DDX_Radio(pDX, IDC_UP, m_UpOrDown);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CRoundDlg, CDialog)
	//{{AFX_MSG_MAP(CRoundDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRoundDlg message handlers

void CRoundDlg::OnOK() 
{

	UpdateData(TRUE);
	if(m_RoundVoice<0)
	{
		MessageBox("Please select a voice","FractMus", MB_OK|MB_ICONEXCLAMATION);
		return;
	}
	
	CDialog::OnOK();
}

BOOL CRoundDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	GetDlgItem(IDC_VOICE1)->EnableWindow(m_IsActive[VOICE1]);
	GetDlgItem(IDC_VOICE2)->EnableWindow(m_IsActive[VOICE2]);
	GetDlgItem(IDC_VOICE3)->EnableWindow(m_IsActive[VOICE3]);
	GetDlgItem(IDC_VOICE4)->EnableWindow(m_IsActive[VOICE4]);
	GetDlgItem(IDC_VOICE5)->EnableWindow(m_IsActive[VOICE5]);
	GetDlgItem(IDC_VOICE6)->EnableWindow(m_IsActive[VOICE6]);
	GetDlgItem(IDC_VOICE7)->EnableWindow(m_IsActive[VOICE7]);
	GetDlgItem(IDC_VOICE8)->EnableWindow(m_IsActive[VOICE8]);
	GetDlgItem(IDC_VOICE9)->EnableWindow(m_IsActive[VOICE9]);
	GetDlgItem(IDC_VOICE10)->EnableWindow(m_IsActive[VOICE10]);
	GetDlgItem(IDC_VOICE11)->EnableWindow(m_IsActive[VOICE11]);
	GetDlgItem(IDC_VOICE12)->EnableWindow(m_IsActive[VOICE12]);
	GetDlgItem(IDC_VOICE13)->EnableWindow(m_IsActive[VOICE13]);
	GetDlgItem(IDC_VOICE14)->EnableWindow(m_IsActive[VOICE14]);
	GetDlgItem(IDC_VOICE15)->EnableWindow(m_IsActive[VOICE15]);
	GetDlgItem(IDC_VOICE16)->EnableWindow(m_IsActive[VOICE16]);

	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
