
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


#if !defined(AFX_TRANSPOSERDLG_H__A7AB2838_D259_11D2_9963_289A08C10000__INCLUDED_)
#define AFX_TRANSPOSERDLG_H__A7AB2838_D259_11D2_9963_289A08C10000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// TransposerDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTransposerDlg dialog

class CFractMusView;

class CTransposerDlg : public CDialog
{
// Construction
public:
	CTransposerDlg(CWnd* pParent = NULL);   // standard constructor
	~CTransposerDlg();

	CFractMusView* pView;

	BOOL* IsSelected;

	BOOL	m_VoiceOn[MAXVOICES];
	UINT	m_VoiceID[MAXVOICES];


// Dialog Data
	//{{AFX_DATA(CTransposerDlg)
	enum { IDD = IDD_TRANSPOSER_DLG };
	BOOL	m_AllActiveVoices;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTransposerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTransposerDlg)
	afx_msg void OnAllactivevoicesChk();
	virtual BOOL OnInitDialog();
	afx_msg void OnAll();
	afx_msg void OnNone();
	afx_msg void OnTranspose();
	virtual void OnCancel();
	afx_msg void OnTransposeEvents();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRANSPOSERDLG_H__A7AB2838_D259_11D2_9963_289A08C10000__INCLUDED_)
