
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


// V1MidiSetDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CV1MidiSetDlg dialog

#ifndef V1MIDISETDLG_H
#define V1MIDISETDLG_H 

class CV1MidiSetDlg : public CDialog
{
// Construction
public:
	CV1MidiSetDlg(CWnd* pParent = NULL);   // standard constructor

	int m_instrument;
	int m_perc;
	int m_mode;
	int m_channel;
	int m_voice;
	CString m_title; 

// Dialog Data
	//{{AFX_DATA(CV1MidiSetDlg)
	enum { IDD = IDD_VOICE1_MIDISET_DLG };
	BOOL	m_inv;
	int		m_dynchoice;
	int		m_pan;
	BOOL	m_matchscl;
	BOOL	m_percussion;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CV1MidiSetDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:




	// Generated message map functions
	//{{AFX_MSG(CV1MidiSetDlg)
	virtual void OnCancel();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnPanZero();
	afx_msg void OnInverted();
	afx_msg void OnCloseupChannelCmb();
	afx_msg void OnPercussionChk();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
