
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


// V1ModulDlg.cpp : implementation file
//

#include "stdafx.h"
#include "FractMus.h"
#include "FractMusView.h"

#include "V1ModulDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CV1ModulDlg dialog


CV1ModulDlg::CV1ModulDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CV1ModulDlg::IDD, pParent)
{

	
	//{{AFX_DATA_INIT(CV1ModulDlg)
//	m_V1ModulDlgNum = pDoc->m_ModulNum[VOICE1];
//	m_V1ModulDlgChoice = pDoc->m_ModulRandom[VOICE1];

	//}}AFX_DATA_INIT
}


void CV1ModulDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CV1ModulDlg)
	DDX_Text(pDX, IDC_VOICE1_MODUL_NUM_EDIT, m_V1ModulDlgNum);
	DDV_MinMaxInt(pDX, m_V1ModulDlgNum, 1, 50000);
	DDX_Radio(pDX, IDC_VOICE1_MODUL_NUM_RADIO, m_V1ModulDlgChoice);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CV1ModulDlg, CDialog)
	//{{AFX_MSG_MAP(CV1ModulDlg)
	ON_BN_CLICKED(IDC_VOICE1_MODUL_NUM_RADIO, OnVoice1ModulNumRadio)
	ON_BN_CLICKED(IDC_VOICE1_MODUL_RAN_RADIO, OnVoice1ModulRanRadio)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CV1ModulDlg message handlers


void CV1ModulDlg::OnCancel() 
{
	CDialog::OnCancel();
}

void CV1ModulDlg::OnOK() 
{


	if (!UpdateData(TRUE))
		return;
	

	CDialog::OnOK();

	
}


BOOL CV1ModulDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here

	SetWindowText(m_title);

	UpdateData(FALSE);
	
	
	GetDlgItem(IDC_VOICE1_MODUL_NUM_EDIT)->EnableWindow(!m_V1ModulDlgChoice);

	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CV1ModulDlg::OnVoice1ModulNumRadio() 
{
	if ( !UpdateData(TRUE) )
		return;
	

	GetDlgItem(IDC_VOICE1_MODUL_NUM_EDIT)->EnableWindow(!m_V1ModulDlgChoice);

	
}

void CV1ModulDlg::OnVoice1ModulRanRadio() 
{
	if ( !UpdateData(TRUE) )
		return;
	

	GetDlgItem(IDC_VOICE1_MODUL_NUM_EDIT)->EnableWindow(!m_V1ModulDlgChoice);


}
