
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


// V1ModulDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CV1ModulDlg dialog

#ifndef V1MODULDLG_H
#define V1MODULDLG_H 

class CV1ModulDlg : public CDialog
{
// Construction
public:
	CV1ModulDlg(CWnd* pParent = NULL); // standard constructor

	CString m_title;
	


// Dialog Data
	//{{AFX_DATA(CV1ModulDlg)
	enum { IDD = IDD_VOICE1_MODULATE_DLG };
	int		m_V1ModulDlgNum;
	int		m_V1ModulDlgChoice;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CV1ModulDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:



	// Generated message map functions
	//{{AFX_MSG(CV1ModulDlg)
	virtual void OnCancel();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnVoice1ModulNumRadio();
	afx_msg void OnVoice1ModulRanRadio();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
