// ValuesDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CValuesDlg dialog

#ifndef _VALUESDLG_H
#define _VALUESDLG_H

#include "defs.h"


class CValuesDlg : public CDialog
{
// Construction
public:
	CValuesDlg(CWnd* pParent);   // standard constructor
	BOOL Create();
	BOOL m_IsActive;
	BOOL Prime(long num);

	void UpdateBaseFrom(int voice);
	void UpdateBaseTo(int voice);
	void UpdateMultiFrom(int voice);
	void UpdateMultiTo(int voice);


// Dialog Data
	//{{AFX_DATA(CValuesDlg)
	enum { IDD = IDD_VALUEGEN_DLG };
	//}}AFX_DATA

	BOOL m_On[MAXVOICES];
	int m_Choice[MAXVOICES];
	long m_BaseFrom[MAXVOICES];
	long m_BaseTo[MAXVOICES];
	long m_MultiFrom[MAXVOICES];
	long m_MultiTo[MAXVOICES];


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CValuesDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
protected:

	CWnd* m_pParent;
	int m_nID;


	// Generated message map functions
	//{{AFX_MSG(CValuesDlg)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnValueV1Chk();
	afx_msg void OnValueV2Chk();
	afx_msg void OnValueV3Chk();
	afx_msg void OnKillfocusValueV1BaseFromEdit();
	afx_msg void OnKillfocusValueV1BaseToEdit();
	afx_msg void OnKillfocusValueV1MultiFromEdit();
	afx_msg void OnKillfocusValueV1MultiToEdit();
	afx_msg void OnKillfocusValueV2BaseFromEdit();
	afx_msg void OnKillfocusValueV2BaseToEdit();
	afx_msg void OnKillfocusValueV2MultiFromEdit();
	afx_msg void OnKillfocusValueV2MultiToEdit();
	afx_msg void OnKillfocusValueV3BaseFromEdit();
	afx_msg void OnKillfocusValueV3BaseToEdit();
	afx_msg void OnKillfocusValueV3MultiFromEdit();
	afx_msg void OnKillfocusValueV3MultiToEdit();
	afx_msg void OnKillfocusValueV4BaseFromEdit();
	afx_msg void OnKillfocusValueV4BaseToEdit();
	afx_msg void OnValueV4Chk();
	afx_msg void OnKillfocusValueV4MultiFromEdit();
	afx_msg void OnKillfocusValueV4MultiToEdit();
	afx_msg void OnValueV5Chk();
	afx_msg void OnKillfocusValueV5MultiFromEdit();
	afx_msg void OnKillfocusValueV5MultiToEdit();
	afx_msg void OnKillfocusValueV5BaseFromEdit();
	afx_msg void OnKillfocusValueV5BaseToEdit();
	afx_msg void OnKillfocusValueV6BaseFromEdit();
	afx_msg void OnKillfocusValueV6BaseToEdit();
	afx_msg void OnValueV6Chk();
	afx_msg void OnKillfocusValueV6MultiFromEdit();
	afx_msg void OnKillfocusValueV6MultiToEdit();
	afx_msg void OnKillfocusValueV7BaseFromEdit();
	afx_msg void OnKillfocusValueV7BaseToEdit();
	afx_msg void OnValueV7Chk();
	afx_msg void OnKillfocusValueV7MultiFromEdit();
	afx_msg void OnKillfocusValueV7MultiToEdit();
	afx_msg void OnKillfocusValueV8BaseFromEdit();
	afx_msg void OnKillfocusValueV8BaseToEdit();
	afx_msg void OnValueV8Chk();
	afx_msg void OnKillfocusValueV8MultiFromEdit();
	afx_msg void OnKillfocusValueV8MultiToEdit();
	afx_msg void OnReset();
	afx_msg void OnRandom();
	afx_msg void OnDone();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


#endif
