
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


// EventsDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CEventsDlg dialog

#ifndef EVENTSDLG_H
#define EVENTSDLG_H

#include "RandDlg.h"


class CEventsDlg : public CDialog
{
// Construction
public:
	CEventsDlg(CWnd* pParent);   // standard constructor
	BOOL Create();

	friend UINT PlaySection(LPVOID);

	int m_NumEvents;

	friend class CRandDlg;

// Dialog Data
	//{{AFX_DATA(CEventsDlg)
	enum { IDD = IDD_EVENTS };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEventsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
protected:

	CWnd* m_pParent;
	int m_nID;


	// Generated message map functions
	//{{AFX_MSG(CEventsDlg)
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnAdd();
	afx_msg void OnFuckit();
	afx_msg void OnPlay();
	afx_msg void OnRemove();
	afx_msg void OnStop();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeEventlist();
	afx_msg void OnDblclkEventlist();
	afx_msg void OnClear();
	afx_msg void OnInsert();
	afx_msg void OnReplaceBt();
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
