
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


#if !defined(AFX_HAILSTONEGRAPH_H__638505C5_2359_11D3_9963_0C9A08C10000__INCLUDED_)
#define AFX_HAILSTONEGRAPH_H__638505C5_2359_11D3_9963_0C9A08C10000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// HailstoneGraph.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CHailstoneGraph frame

class CHailstoneGraph : public CFrameWnd
{
	DECLARE_DYNCREATE(CHailstoneGraph)
protected:

// Attributes
public:
	CHailstoneGraph();           // protected constructor used by dynamic creation

	CWnd* m_pParent;
	CDC m_memDC;
	CBitmap m_bmp;
	CBrush m_bkbrush;
	CPen m_Pen;
	BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, 
				DWORD dwStyle = WS_OVERLAPPEDWINDOW, 
				const RECT& rect = rectDefault, 
				CWnd* pParentWnd = NULL, 
				LPCTSTR lpszMenuName = NULL, DWORD dwExStyle = 0, 
				CCreateContext* pContext = NULL );



// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHailstoneGraph)
	protected:
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CHailstoneGraph();

	// Generated message map functions
	//{{AFX_MSG(CHailstoneGraph)
	afx_msg void OnClose();
	afx_msg void OnDestroy();
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HAILSTONEGRAPH_H__638505C5_2359_11D3_9963_0C9A08C10000__INCLUDED_)
