
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


#if !defined(AFX_INSTRUMENTATIONDLG_H__F9E94FC0_D7E7_11D2_9963_289A08C10000__INCLUDED_)
#define AFX_INSTRUMENTATIONDLG_H__F9E94FC0_D7E7_11D2_9963_289A08C10000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// InstrumentationDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CInstrumentationDlg dialog

#include "InstrumentationPresets.h"

class CFractMusView;

class CInstrumentationDlg : public CDialog
{
// Construction
public:
	CInstrumentationDlg(CWnd* pParent = NULL);   // standard constructor

	CFractMusView* pView;

	tag_instrumentations Preset[50];

	void UpdateList();


// Dialog Data
	//{{AFX_DATA(CInstrumentationDlg)
	enum { IDD = IDD_INSTRUMENTATIONS_DLG };
	CString	m_newpresetname;
	BOOL	m_algorithm;
	BOOL	m_coeff;
	BOOL	m_counters;
	BOOL	m_dynamic;
	BOOL	m_instrument;
	BOOL	m_inverted;
	BOOL	m_matchscl;
	BOOL	m_mode;
	BOOL	m_modulate;
	BOOL	m_note;
	BOOL	m_noteval;
	BOOL	m_octaves;
	BOOL	m_pan;
	BOOL	m_percussion;
	BOOL	m_scale;
	BOOL	m_tempo;
	BOOL	m_timesig;
	BOOL	m_offset;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CInstrumentationDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CInstrumentationDlg)
	afx_msg void OnAdd();
	afx_msg void OnClear();
	afx_msg void OnLoad();
	afx_msg void OnDblclkParametersList();
	afx_msg void OnRemove();
	afx_msg void OnSave();
	virtual void OnCancel();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnAll();
	afx_msg void OnNone();
	afx_msg void OnReplace();
	afx_msg void OnSelchangeParametersList();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_INSTRUMENTATIONDLG_H__F9E94FC0_D7E7_11D2_9963_289A08C10000__INCLUDED_)
