
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


#if !defined(AFX_MARTINDLG_H__0C835584_24C4_11D3_9963_0C9A08C10000__INCLUDED_)
#define AFX_MARTINDLG_H__0C835584_24C4_11D3_9963_0C9A08C10000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// MartinDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMartinDlg dialog

class CFractMusView;
class CMartinGraph;



class CMartinDlg : public CDialog
{
// Construction
public:
	CMartinDlg(CWnd* pParent = NULL);   // standard constructor

	CString title;
	CFractMusView* pView;
	CMartinGraph* m_pGraph;
	int voicenum;


// Dialog Data
	//{{AFX_DATA(CMartinDlg)
	enum { IDD = IDD_MARTIN_DLG };
	float	m_angle;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMartinDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMartinDlg)
	afx_msg void OnVisualize();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MARTINDLG_H__0C835584_24C4_11D3_9963_0C9A08C10000__INCLUDED_)
