
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


// MidiDevDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMidiDevDlg dialog

#ifndef MIDIDEVDLG_H 
#define MIDIDEVDLG_H

class CMidiDevDlg : public CDialog
{
// Construction
public:
	CMidiDevDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CMidiDevDlg)
	enum { IDD = IDD_MIDIOPEN_DLG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	int m_midiDevChoice;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMidiDevDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMidiDevDlg)
	virtual void OnCancel();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnDblclkListbox();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
