// MidiFileCounters.cpp : implementation file
//

#include "stdafx.h"
#include "FractMus.h"
#include "MidiFileCounters.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMidiFileCounters dialog


CMidiFileCounters::CMidiFileCounters(CWnd* pParent /*=NULL*/)
	: CDialog(CMidiFileCounters::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMidiFileCounters)
	m_From = 0;
	m_To = 240;
	//}}AFX_DATA_INIT
}


void CMidiFileCounters::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMidiFileCounters)
	DDX_Text(pDX, IDC_COUNTERFROM, m_From);
	DDV_MinMaxLong(pDX, m_From, 0, 1000000000);
	DDX_Text(pDX, IDC_COUNTERTO, m_To);
	DDV_MinMaxLong(pDX, m_To, 0, 1000000000);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CMidiFileCounters, CDialog)
	//{{AFX_MSG_MAP(CMidiFileCounters)
	ON_EN_KILLFOCUS(IDC_COUNTERFROM, OnKillfocusCounterfrom)
	ON_EN_KILLFOCUS(IDC_COUNTERTO, OnKillfocusCounterto)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMidiFileCounters message handlers

void CMidiFileCounters::OnKillfocusCounterfrom() 
{
	UpdateData(TRUE);
	
}

void CMidiFileCounters::OnKillfocusCounterto() 
{
	UpdateData(TRUE);	
}

void CMidiFileCounters::OnOK() 
{
	if(!UpdateData(TRUE))
		return;

	if ((m_To-m_From)<8)
	{
		MessageBox("Minimum difference is 8","FractMus", MB_OK|MB_ICONEXCLAMATION);
		return;
	}
	
	CDialog::OnOK();
}
