
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


#ifndef _NOTEVAL_H
#define _NOTEVAL_H

// NoteValsDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CNoteValsDlg dialog

#include "P1RangeDlg.h"

class CNoteValsDlg : public CDialog
{
// Construction
public:
	CNoteValsDlg(CWnd* pParent = NULL);   // standard constructor

	int numchoices;
	int othermin;
	int othermax;
	CP1RangeDlg OtherRange;



// Dialog Data
	//{{AFX_DATA(CNoteValsDlg)
	enum { IDD = IDD_NOTEVALS_DLG };
	BOOL	m_8;
	BOOL	m_dotted8;
	BOOL	m_half;
	BOOL	m_dottedhalf;
	BOOL	m_other;
	BOOL	m_quarter;
	BOOL	m_dottedquarter;
	BOOL	m_16;
	BOOL	m_dotted16;
	BOOL	m_32;
	BOOL	m_whole;
	BOOL	m_dottedwhole;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNoteValsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CNoteValsDlg)
	virtual void OnCancel();
	afx_msg void OnEighthChk();
	afx_msg void OnEighthdottedChk();
	afx_msg void OnHalfChk();
	afx_msg void OnHalfdottedChk();
	afx_msg void OnOtherChk();
	afx_msg void OnQuarterChk();
	afx_msg void OnQuarterdottedChk();
	afx_msg void OnSixteenthChk();
	afx_msg void OnSixteenthdottedChk();
	afx_msg void OnThirtysecChk();
	afx_msg void OnWholeChk();
	afx_msg void OnWholedottedChk();
	virtual void OnOK();
	afx_msg void OnAll();
	afx_msg void OnNone();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
