
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


#ifndef _OCTAVES_DLG
#define _OCTAVES_DLG


// OctavesDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// COctavesDlg dialog

class COctavesDlg : public CDialog
{
// Construction
public:
	COctavesDlg(CWnd* pParent = NULL);   // standard constructor

	int numchoices;

// Dialog Data
	//{{AFX_DATA(COctavesDlg)
	enum { IDD = IDD_OCTAVES_DLG };
	BOOL	m_four;
	BOOL	m_one;
	BOOL	m_three;
	BOOL	m_two;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COctavesDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(COctavesDlg)
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnFourChk();
	afx_msg void OnOneChk();
	afx_msg void OnThreeChk();
	afx_msg void OnTwoChk();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
