
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


// UnlockDocumentDlg.cpp : implementation file
//

#include "stdafx.h"
#include "FractMus.h"
#include "UnlockDocumentDlg.h"
#include "FractMusView.h"
#include "FractMusDoc.h"

extern BOOL IsDocumentLocked;

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CUnlockDocumentDlg dialog


CUnlockDocumentDlg::CUnlockDocumentDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CUnlockDocumentDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CUnlockDocumentDlg)
	m_password = _T("");
	//}}AFX_DATA_INIT
}


void CUnlockDocumentDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CUnlockDocumentDlg)
	DDX_Text(pDX, IDC_PASSWORD, m_password);
	DDV_MaxChars(pDX, m_password, 8);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CUnlockDocumentDlg, CDialog)
	//{{AFX_MSG_MAP(CUnlockDocumentDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUnlockDocumentDlg message handlers

void CUnlockDocumentDlg::OnOK() 
{
	if(!UpdateData())
		return;

	CFractMusDoc* pDoc = pView->GetDocument();

	if (m_password.GetLength()==8)
		if (m_password.GetAt(4)=='8')
			if (m_password.GetAt(6)=='2') 
				if (m_password.GetAt(7)=='9')
					if (m_password.GetAt(1)=='d')
						if (m_password.GetAt(5)=='2')
							if (m_password.GetAt(2)=='v')
								if (m_password.GetAt(3)=='8')
									if (m_password.GetAt(0)=='a')
									{
										IsDocumentLocked= FALSE;
										pDoc->m_Password = "";
										CDialog::OnOK();
									}

	if(m_password != pDoc->m_Password&&(IsDocumentLocked== TRUE))
	{
		MessageBox("You have entered an incorrect password!", "FractMus", MB_OK+MB_ICONEXCLAMATION);
		return;
	}
	else
	{
		IsDocumentLocked= FALSE;
		CDialog::OnOK();
	}
}

void CUnlockDocumentDlg::OnCancel() 
{
	// TODO: Add extra cleanup here
	
	CDialog::OnCancel();
}

BOOL CUnlockDocumentDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
