
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


// V1UsrSclDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CV1UsrSclDlg dialog

#ifndef V1USRSCLDLG_H
#define V1USRSCLDLG_H
 

class CV1UsrSclDlg : public CDialog
{
// Construction
public:
	CV1UsrSclDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CV1UsrSclDlg)
	enum { IDD = IDD_VOICE1_USERSCALE };
	BOOL	m_A_ON;
	BOOL	m_Ab_ON;
	BOOL	m_B_ON;
	BOOL	m_Bb_ON;
	BOOL	m_C_ON;
	BOOL	m_D_ON;
	BOOL	m_Db_ON;
	BOOL	m_E_ON;
	BOOL	m_Eb_ON;
	BOOL	m_F_ON;
	BOOL	m_G_ON;
	BOOL	m_Gb_ON;
	//}}AFX_DATA

	CString m_title;

	BOOL	m_bUserScale[12];
	short	m_numnotes;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CV1UsrSclDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CV1UsrSclDlg)
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnVoice1UserscaleAChk();
	afx_msg void OnVOICE1USERSCALEAbCHK();
	afx_msg void OnVoice1UserscaleBChk();
	afx_msg void OnVOICE1USERSCALEBbCHK();
	afx_msg void OnVoice1UserscaleCChk();
	afx_msg void OnVoice1UserscaleDChk();
	afx_msg void OnVOICE1USERSCALEDbCHK();
	afx_msg void OnVoice1UserscaleEChk();
	afx_msg void OnVOICE1USERSCALEEbCHK();
	afx_msg void OnVoice1UserscaleFChk();
	afx_msg void OnVoice1UserscaleGChk();
	afx_msg void OnVOICE1USERSCALEGbCHK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
