// ValuesDlg.cpp : implementation file
//

#include "stdafx.h"
#include "FractMus.h"
#include "FractMusView.h"
#include "ValuesDlg.h"
#include "defs.h"



#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CValuesDlg dialog


CValuesDlg::CValuesDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CValuesDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CValuesDlg)
	
	//}}AFX_DATA_INIT

	for (int i=VOICE1; i<MAXVOICES; i++)
	{
		m_On[i]=FALSE;
		m_Choice[i]=0;
		m_BaseFrom[i]=2;
		m_BaseTo[i]=1000;
		m_MultiFrom[i]=1;
		m_MultiTo[i]=1000;
	}

	m_pParent = pParent;
	m_nID = CValuesDlg::IDD;
	m_IsActive = FALSE;
}


void CValuesDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CValuesDlg)
	
	//}}AFX_DATA_MAP

	DDX_Check(pDX, IDC_VALUE_V1_CHK, m_On[VOICE1]);
	DDX_Check(pDX, IDC_VALUE_V2_CHK, m_On[VOICE2]);
	DDX_Check(pDX, IDC_VALUE_V3_CHK, m_On[VOICE3]);
	DDX_Check(pDX, IDC_VALUE_V4_CHK, m_On[VOICE4]);
	DDX_Check(pDX, IDC_VALUE_V5_CHK, m_On[VOICE5]);
	DDX_Check(pDX, IDC_VALUE_V6_CHK, m_On[VOICE6]);
	DDX_Check(pDX, IDC_VALUE_V7_CHK, m_On[VOICE7]);
	DDX_Check(pDX, IDC_VALUE_V8_CHK, m_On[VOICE8]);
	DDX_Text(pDX, IDC_VALUE_V1_BASE_FROM_EDIT, m_BaseFrom[VOICE1]);
	DDV_MinMaxLong(pDX, m_BaseFrom[VOICE1], 2, 999999);
	DDX_Text(pDX, IDC_VALUE_V1_MULTI_FROM_EDIT, m_MultiFrom[VOICE1]);
	DDV_MinMaxLong(pDX, m_MultiFrom[VOICE1], 1, 999999999);
	DDX_Text(pDX, IDC_VALUE_V1_BASE_TO_EDIT, m_BaseTo[VOICE1]);
	DDV_MinMaxLong(pDX, m_BaseTo[VOICE1], 2, 999999);
	DDX_Text(pDX, IDC_VALUE_V1_MULTI_TO_EDIT, m_MultiTo[VOICE1]);
	DDV_MinMaxLong(pDX, m_MultiTo[VOICE1], 1, 999999999);
	DDX_Text(pDX, IDC_VALUE_V2_BASE_FROM_EDIT, m_BaseFrom[VOICE2]);
	DDV_MinMaxLong(pDX, m_BaseFrom[VOICE2], 2, 999999);
	DDX_Text(pDX, IDC_VALUE_V2_BASE_TO_EDIT, m_BaseTo[VOICE2]);
	DDV_MinMaxLong(pDX, m_BaseTo[VOICE2], 2, 999999);
	DDX_Text(pDX, IDC_VALUE_V2_MULTI_FROM_EDIT, m_MultiFrom[VOICE2]);
	DDV_MinMaxLong(pDX, m_MultiFrom[VOICE2], 1, 999999999);
	DDX_Text(pDX, IDC_VALUE_V2_MULTI_TO_EDIT, m_MultiTo[VOICE2]);
	DDV_MinMaxLong(pDX, m_MultiTo[VOICE2], 1, 999999999);
	DDX_Radio(pDX, IDC_VALUE_V1_ALL_RADIO, m_Choice[VOICE1]);
	DDX_Radio(pDX, IDC_VALUE_V2_ALL_RADIO, m_Choice[VOICE2]);
	DDX_Text(pDX, IDC_VALUE_V3_BASE_FROM_EDIT, m_BaseFrom[VOICE3]);
	DDV_MinMaxLong(pDX, m_BaseFrom[VOICE3], 2, 999999);
	DDX_Text(pDX, IDC_VALUE_V3_BASE_TO_EDIT, m_BaseTo[VOICE3]);
	DDV_MinMaxLong(pDX, m_BaseTo[VOICE3], 2, 999999);
	DDX_Radio(pDX, IDC_VALUE_V3_ALL_RADIO, m_Choice[VOICE3]);
	DDX_Text(pDX, IDC_VALUE_V3_MULTI_FROM_EDIT, m_MultiFrom[VOICE3]);
	DDV_MinMaxLong(pDX, m_MultiFrom[VOICE3], 1, 999999999);
	DDX_Text(pDX, IDC_VALUE_V3_MULTI_TO_EDIT, m_MultiTo[VOICE3]);
	DDV_MinMaxLong(pDX, m_MultiTo[VOICE3], 1, 999999999);
	DDX_Radio(pDX, IDC_VALUE_V4_ALL_RADIO, m_Choice[VOICE4]);
	DDX_Text(pDX, IDC_VALUE_V4_BASE_FROM_EDIT, m_BaseFrom[VOICE4]);
	DDV_MinMaxLong(pDX, m_BaseFrom[VOICE4], 2, 999999);
	DDX_Text(pDX, IDC_VALUE_V4_BASE_TO_EDIT, m_BaseTo[VOICE4]);
	DDV_MinMaxLong(pDX, m_BaseTo[VOICE4], 2, 999999);
	DDX_Text(pDX, IDC_VALUE_V4_MULTI_FROM_EDIT, m_MultiFrom[VOICE4]);
	DDV_MinMaxLong(pDX, m_MultiFrom[VOICE4], 1, 999999999);
	DDX_Text(pDX, IDC_VALUE_V4_MULTI_TO_EDIT, m_MultiTo[VOICE4]);
	DDV_MinMaxLong(pDX, m_MultiTo[VOICE4], 1, 999999999);
	DDX_Radio(pDX, IDC_VALUE_V5_ALL_RADIO, m_Choice[VOICE5]);
	DDX_Text(pDX, IDC_VALUE_V5_BASE_FROM_EDIT, m_BaseFrom[VOICE5]);
	DDV_MinMaxLong(pDX, m_BaseFrom[VOICE5], 2, 999999);
	DDX_Text(pDX, IDC_VALUE_V5_BASE_TO_EDIT, m_BaseTo[VOICE5]);
	DDV_MinMaxLong(pDX, m_BaseTo[VOICE5], 2, 999999);
	DDX_Text(pDX, IDC_VALUE_V5_MULTI_FROM_EDIT, m_MultiFrom[VOICE5]);
	DDV_MinMaxLong(pDX, m_MultiFrom[VOICE5], 1, 999999999);
	DDX_Text(pDX, IDC_VALUE_V5_MULTI_TO_EDIT, m_MultiTo[VOICE5]);
	DDV_MinMaxLong(pDX, m_MultiTo[VOICE5], 1, 999999999);
	DDX_Radio(pDX, IDC_VALUE_V6_ALL_RADIO, m_Choice[VOICE6]);
	DDX_Text(pDX, IDC_VALUE_V6_BASE_FROM_EDIT, m_BaseFrom[VOICE6]);
	DDV_MinMaxLong(pDX, m_BaseFrom[VOICE6], 2, 999999);
	DDX_Text(pDX, IDC_VALUE_V6_BASE_TO_EDIT, m_BaseTo[VOICE6]);
	DDV_MinMaxLong(pDX, m_BaseTo[VOICE6], 2, 999999);
	DDX_Text(pDX, IDC_VALUE_V6_MULTI_FROM_EDIT, m_MultiFrom[VOICE6]);
	DDV_MinMaxLong(pDX, m_MultiFrom[VOICE6], 1, 999999999);
	DDX_Text(pDX, IDC_VALUE_V6_MULTI_TO_EDIT, m_MultiTo[VOICE6]);
	DDV_MinMaxLong(pDX, m_MultiTo[VOICE6], 1, 999999999);
	DDX_Radio(pDX, IDC_VALUE_V7_ALL_RADIO, m_Choice[VOICE7]);
	DDX_Text(pDX, IDC_VALUE_V7_BASE_FROM_EDIT, m_BaseFrom[VOICE7]);
	DDV_MinMaxLong(pDX, m_BaseFrom[VOICE7], 2, 999999);
	DDX_Text(pDX, IDC_VALUE_V7_BASE_TO_EDIT, m_BaseTo[VOICE7]);
	DDV_MinMaxLong(pDX, m_BaseTo[VOICE7], 2, 999999);
	DDX_Text(pDX, IDC_VALUE_V7_MULTI_FROM_EDIT, m_MultiFrom[VOICE7]);
	DDV_MinMaxLong(pDX, m_MultiFrom[VOICE7], 1, 99999999);
	DDX_Text(pDX, IDC_VALUE_V7_MULTI_TO_EDIT, m_MultiTo[VOICE7]);
	DDV_MinMaxLong(pDX, m_MultiTo[VOICE7], 1, 999999999);
	DDX_Radio(pDX, IDC_VALUE_V8_ALL_RADIO, m_Choice[VOICE8]);
	DDX_Text(pDX, IDC_VALUE_V8_BASE_FROM_EDIT, m_BaseFrom[VOICE8]);
	DDV_MinMaxLong(pDX, m_BaseFrom[VOICE8], 2, 999999);
	DDX_Text(pDX, IDC_VALUE_V8_BASE_TO_EDIT, m_BaseTo[VOICE8]);
	DDV_MinMaxLong(pDX, m_BaseTo[VOICE8], 2, 999999);
	DDX_Text(pDX, IDC_VALUE_V8_MULTI_FROM_EDIT, m_MultiFrom[VOICE8]);
	DDV_MinMaxLong(pDX, m_MultiFrom[VOICE8], 1, 999999999);
	DDX_Text(pDX, IDC_VALUE_V8_MULTI_TO_EDIT, m_MultiTo[VOICE8]);
	DDV_MinMaxLong(pDX, m_MultiTo[VOICE8], 1, 999999999);
}


BEGIN_MESSAGE_MAP(CValuesDlg, CDialog)
	//{{AFX_MSG_MAP(CValuesDlg)
	ON_BN_CLICKED(IDC_VALUE_V1_CHK, OnValueV1Chk)
	ON_BN_CLICKED(IDC_VALUE_V2_CHK, OnValueV2Chk)
	ON_BN_CLICKED(IDC_VALUE_V3_CHK, OnValueV3Chk)
	ON_EN_KILLFOCUS(IDC_VALUE_V1_BASE_FROM_EDIT, OnKillfocusValueV1BaseFromEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V1_BASE_TO_EDIT, OnKillfocusValueV1BaseToEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V1_MULTI_FROM_EDIT, OnKillfocusValueV1MultiFromEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V1_MULTI_TO_EDIT, OnKillfocusValueV1MultiToEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V2_BASE_FROM_EDIT, OnKillfocusValueV2BaseFromEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V2_BASE_TO_EDIT, OnKillfocusValueV2BaseToEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V2_MULTI_FROM_EDIT, OnKillfocusValueV2MultiFromEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V2_MULTI_TO_EDIT, OnKillfocusValueV2MultiToEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V3_BASE_FROM_EDIT, OnKillfocusValueV3BaseFromEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V3_BASE_TO_EDIT, OnKillfocusValueV3BaseToEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V3_MULTI_FROM_EDIT, OnKillfocusValueV3MultiFromEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V3_MULTI_TO_EDIT, OnKillfocusValueV3MultiToEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V4_BASE_FROM_EDIT, OnKillfocusValueV4BaseFromEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V4_BASE_TO_EDIT, OnKillfocusValueV4BaseToEdit)
	ON_BN_CLICKED(IDC_VALUE_V4_CHK, OnValueV4Chk)
	ON_EN_KILLFOCUS(IDC_VALUE_V4_MULTI_FROM_EDIT, OnKillfocusValueV4MultiFromEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V4_MULTI_TO_EDIT, OnKillfocusValueV4MultiToEdit)
	ON_BN_CLICKED(IDC_VALUE_V5_CHK, OnValueV5Chk)
	ON_EN_KILLFOCUS(IDC_VALUE_V5_MULTI_FROM_EDIT, OnKillfocusValueV5MultiFromEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V5_MULTI_TO_EDIT, OnKillfocusValueV5MultiToEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V5_BASE_FROM_EDIT, OnKillfocusValueV5BaseFromEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V5_BASE_TO_EDIT, OnKillfocusValueV5BaseToEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V6_BASE_FROM_EDIT, OnKillfocusValueV6BaseFromEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V6_BASE_TO_EDIT, OnKillfocusValueV6BaseToEdit)
	ON_BN_CLICKED(IDC_VALUE_V6_CHK, OnValueV6Chk)
	ON_EN_KILLFOCUS(IDC_VALUE_V6_MULTI_FROM_EDIT, OnKillfocusValueV6MultiFromEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V6_MULTI_TO_EDIT, OnKillfocusValueV6MultiToEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V7_BASE_FROM_EDIT, OnKillfocusValueV7BaseFromEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V7_BASE_TO_EDIT, OnKillfocusValueV7BaseToEdit)
	ON_BN_CLICKED(IDC_VALUE_V7_CHK, OnValueV7Chk)
	ON_EN_KILLFOCUS(IDC_VALUE_V7_MULTI_FROM_EDIT, OnKillfocusValueV7MultiFromEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V7_MULTI_TO_EDIT, OnKillfocusValueV7MultiToEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V8_BASE_FROM_EDIT, OnKillfocusValueV8BaseFromEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V8_BASE_TO_EDIT, OnKillfocusValueV8BaseToEdit)
	ON_BN_CLICKED(IDC_VALUE_V8_CHK, OnValueV8Chk)
	ON_EN_KILLFOCUS(IDC_VALUE_V8_MULTI_FROM_EDIT, OnKillfocusValueV8MultiFromEdit)
	ON_EN_KILLFOCUS(IDC_VALUE_V8_MULTI_TO_EDIT, OnKillfocusValueV8MultiToEdit)
	ON_BN_CLICKED(IDC_RESET, OnReset)
	ON_BN_CLICKED(IDC_RANDOM, OnRandom)
	ON_BN_CLICKED(IDC_DONE, OnDone)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CValuesDlg message handlers

BOOL CValuesDlg::Create()
{
	return CDialog::Create(m_nID, m_pParent);
}


void CValuesDlg::PostNcDestroy() 
{
	delete this;
	
}

void CValuesDlg::OnOK() 
{
	if (!UpdateData(TRUE))
		return;

	BOOL VoicesToCompute  = FALSE;
	CString msg;
	CString msg2;
	char s[80];
	int  progtotal=0;
	const long TOPPRIMES = 100000;
	long counter;
	int range = 0;
	long j;
	long numprimesbase;
	long numprimesmulti;
	long BaseResult[MAXVOICES];
	long MultiResult[MAXVOICES];
	long* PrimesArrayBase[MAXVOICES];
	long* PrimesArrayMulti[MAXVOICES];
	HCURSOR curold = SetCursor(LoadCursor(NULL, IDC_WAIT));

	CFractMusDoc* pDoc = ((CFractMusView*)m_pParent)->GetDocument();
	CProgressCtrl* pProg = (CProgressCtrl*)GetDlgItem(IDC_PROGRESS);

	for (int i = VOICE1; i<MAXVOICES; i++)
		if ((pDoc->m_IsActive[i])&&(m_On[i])&&(m_Choice[i]))
			range++;
	
	pProg->SetRange(0, range*4);
	pProg->SetStep(1);
	pProg->SetPos(0);


		
	for (counter = VOICE1; counter<MAXVOICES; counter++)
	{
		PrimesArrayBase[counter] = NULL;

		PrimesArrayMulti[counter] = NULL;
	}


for (i=VOICE1; i<MAXVOICES; i++)
{

	if ((((CFractMusView*)m_pParent)->m_IsActive[i])&&m_On[i])
	{
		VoicesToCompute=TRUE;
		itoa(i+1, s, 10);
		msg2="Error in voice "+ (CString)s;


		if (m_BaseFrom[i]>=m_BaseTo[i])
		{
			msg = "First paramter in base\nmust be less than the second.";
			MessageBox(msg, msg2, MB_OK|MB_ICONEXCLAMATION);
			return;
		}

		if (m_MultiFrom[i]>=m_MultiTo[i])
		{
			msg = "First paramter in multiplier\nmust be less than the second.";
			MessageBox(msg, msg2, MB_OK|MB_ICONEXCLAMATION);
			return;
		}

		
	}
}


	
	if (!VoicesToCompute)
	{
		msg = "Nothing to compute";
		MessageBox(msg, "Error", MB_OK|MB_ICONEXCLAMATION);
		return;
	}

	
for (i = VOICE1; i<MAXVOICES; i++)
{


	if ((((CFractMusView*)m_pParent)->m_IsActive[i])&&m_On[i])
	{
		itoa(i+1, s, 10);
		msg2="Error in voice "+(CString)s;

		if (m_Choice[i] == 0)
		{
			BaseResult[i] = (rand()%(m_BaseTo[i] - m_BaseFrom[i] + 1))+ m_BaseFrom[i];
			MultiResult[i] = (rand()%(m_MultiTo[i] - m_MultiFrom[i] + 1)) + m_MultiFrom[i];
		}
		else
		{
			if (((m_BaseTo[i] - m_BaseFrom[i])>TOPPRIMES)||((m_MultiTo[i] - m_MultiFrom[i])>TOPPRIMES))
			{
				msg = "Sorry, the maximum difference for prime generation\n";
				msg +="in both base and multiplier is 100000";
				MessageBox(msg, "Error", MB_OK+MB_ICONEXCLAMATION);
				return;
			}
			numprimesbase =0;
			numprimesmulti=0;
			for (counter = m_BaseFrom[i]; counter<=m_BaseTo[i]; counter++)
				if (Prime(counter))
					numprimesbase++;
			if (numprimesbase<2)
			{
				msg = "No enough primes found in that interval for base";
				MessageBox(msg, msg2, MB_OK|MB_ICONEXCLAMATION);
				return;
			}
			pProg->StepIt();
			for (counter = m_MultiFrom[i]; counter<=m_MultiTo[i]; counter++)
				if (Prime(counter))
					numprimesmulti++;
			if (numprimesmulti<2)
			{
				msg = "No enough primes found in that interval for multiplier";
				MessageBox(msg, msg2, MB_OK|MB_ICONEXCLAMATION);
				GetDlgItem(IDC_VALUE_V1_MULTI_TO_EDIT)->SetFocus();
				return;
			}
			pProg->StepIt();
						
			j=0;
			PrimesArrayBase[i] = new long[numprimesbase];
			for (counter = m_BaseFrom[i]; counter<=m_BaseTo[i]; counter++)
				if (Prime(counter))
					PrimesArrayBase[i][j++] = counter;
			pProg->StepIt();

			j=0;
			PrimesArrayMulti[i] = new long[numprimesmulti];
			for (counter = m_MultiFrom[i]; counter<=m_MultiTo[i]; counter++)
				if (Prime(counter))
					PrimesArrayMulti[i][j++] = counter;
			pProg->StepIt();

			BaseResult[i] = PrimesArrayBase[i][rand()%numprimesbase];
			MultiResult[i] = PrimesArrayMulti[i][rand()%numprimesmulti];

		}
	}
}



for (i = VOICE1; i<MAXVOICES; i++)
{

	if ((((CFractMusView*)m_pParent)->m_IsActive[i])&&m_On[i])
	{
		((CFractMusView*)m_pParent)->m_Base[i] = BaseResult[i];
		((CFractMusView*)m_pParent)->m_Multi[i] = MultiResult[i];
		((CFractMusView*)m_pParent)->UpdateData(FALSE);
		pDoc->m_Base[i] = BaseResult[i];
		pDoc->m_Multi[i] = MultiResult[i];
	}
}


	for (counter = VOICE1; counter<MAXVOICES; counter++)
	{
		if (PrimesArrayBase[counter])
		{
			delete PrimesArrayBase[counter];
			PrimesArrayBase[counter] = NULL;
		}

		if (PrimesArrayMulti[counter])
		{
			delete PrimesArrayMulti[counter];
			PrimesArrayMulti[counter] = NULL;
		}
	}

	
	pDoc->SetModifiedFlag();

	SetCursor(curold);

}

	
BOOL CValuesDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	CMenu* pM = this->GetSystemMenu(FALSE);

	ASSERT(pM!=NULL);

	pM->EnableMenuItem(SC_CLOSE, MF_GRAYED);
	pM->EnableMenuItem(SC_SIZE, MF_GRAYED);
	pM->EnableMenuItem(SC_MAXIMIZE, MF_GRAYED);


	CFractMusView* pView = ((CFractMusView*)m_pParent);

	CFractMusDoc* pDoc = pView->GetDocument();

	for (int i=VOICE1; i<MAXVOICES; i++)
	{

		m_BaseFrom[i] = pDoc->m_BaseFrom[i];
		m_BaseTo[i] = pDoc->m_BaseTo[i];
		m_MultiFrom[i] = pDoc->m_MultiFrom[i];
		m_MultiTo[i] = pDoc->m_MultiTo[i];
	}

	
	UpdateData(FALSE);

	for (i=VOICE1; i<MAXVOICES; i++)
	{
		GetDlgItem(pView->ValuesOnID[i])->EnableWindow(pView->m_IsActive[i]);
		GetDlgItem(pView->BaseFromID[i])->EnableWindow(pView->m_IsActive[i]&&m_On[i]);
		GetDlgItem(pView->BaseToID[i])->EnableWindow(pView->m_IsActive[i]&&m_On[i]);
		GetDlgItem(pView->MultiFromID[i])->EnableWindow(pView->m_IsActive[i]&&m_On[i]);
		GetDlgItem(pView->MultiToID[i])->EnableWindow(pView->m_IsActive[i]&&m_On[i]);
		GetDlgItem(pView->ValuesAllID[i])->EnableWindow(pView->m_IsActive[i]&&m_On[i]);
		GetDlgItem(pView->ValuesPrimeID[i])->EnableWindow(pView->m_IsActive[i]&&m_On[i]);
	}


	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}


BOOL CValuesDlg::Prime(long num)
{
	if (num==1L)
		return TRUE;
	if (num==2L)
		return TRUE;
	if (num==3L)
		return TRUE;
	if (num==5L)
		return TRUE;
	if (num==7L)
		return TRUE;
	
	long div;

	for (div = 2; (div*div)<=num; div++)
		if (!(num%div))
			return FALSE;
	return TRUE;

}

void CValuesDlg::OnValueV1Chk() 
{
	UpdateData(TRUE);

	GetDlgItem(IDC_VALUE_V1_BASE_FROM_EDIT)->EnableWindow(m_On[VOICE1]);
	GetDlgItem(IDC_VALUE_V1_MULTI_FROM_EDIT)->EnableWindow(m_On[VOICE1]);
	GetDlgItem(IDC_VALUE_V1_BASE_TO_EDIT)->EnableWindow(m_On[VOICE1]);
	GetDlgItem(IDC_VALUE_V1_MULTI_TO_EDIT)->EnableWindow(m_On[VOICE1]);
	GetDlgItem(IDC_VALUE_V1_ALL_RADIO)->EnableWindow(m_On[VOICE1]);
	GetDlgItem(IDC_VALUE_V1_PRIMES_RADIO)->EnableWindow(m_On[VOICE1]);
	GetDlgItem(IDC_STATIC_V1)->EnableWindow(m_On[VOICE1]);

}

void CValuesDlg::OnValueV2Chk() 
{
	UpdateData(TRUE);


	GetDlgItem(IDC_VALUE_V2_BASE_FROM_EDIT)->EnableWindow(m_On[VOICE2]);
	GetDlgItem(IDC_VALUE_V2_MULTI_FROM_EDIT)->EnableWindow(m_On[VOICE2]);
	GetDlgItem(IDC_VALUE_V2_BASE_TO_EDIT)->EnableWindow(m_On[VOICE2]);
	GetDlgItem(IDC_VALUE_V2_MULTI_TO_EDIT)->EnableWindow(m_On[VOICE2]);
	GetDlgItem(IDC_VALUE_V2_ALL_RADIO)->EnableWindow(m_On[VOICE2]);
	GetDlgItem(IDC_VALUE_V2_PRIMES_RADIO)->EnableWindow(m_On[VOICE2]);
	GetDlgItem(IDC_STATIC_V2)->EnableWindow(m_On[VOICE2]);
	
}

void CValuesDlg::OnValueV3Chk() 
{
	UpdateData(TRUE);
	

	GetDlgItem(IDC_VALUE_V3_BASE_FROM_EDIT)->EnableWindow(m_On[VOICE3]);
	GetDlgItem(IDC_VALUE_V3_MULTI_FROM_EDIT)->EnableWindow(m_On[VOICE3]);
	GetDlgItem(IDC_VALUE_V3_BASE_TO_EDIT)->EnableWindow(m_On[VOICE3]);
	GetDlgItem(IDC_VALUE_V3_MULTI_TO_EDIT)->EnableWindow(m_On[VOICE3]);
	GetDlgItem(IDC_VALUE_V3_ALL_RADIO)->EnableWindow(m_On[VOICE3]);
	GetDlgItem(IDC_VALUE_V3_PRIMES_RADIO)->EnableWindow(m_On[VOICE3]);
	GetDlgItem(IDC_STATIC_V3)->EnableWindow(m_On[VOICE3]);
	
}

void CValuesDlg::OnKillfocusValueV1BaseFromEdit() 
{
	UpdateBaseFrom(VOICE1);
}

void CValuesDlg::OnKillfocusValueV1BaseToEdit() 
{
	UpdateBaseTo(VOICE1);
	
}

void CValuesDlg::OnKillfocusValueV1MultiFromEdit() 
{
	UpdateMultiFrom(VOICE1);
	
}

void CValuesDlg::OnKillfocusValueV1MultiToEdit() 
{
	UpdateMultiTo(VOICE1);
	
}

void CValuesDlg::OnKillfocusValueV2BaseFromEdit() 
{
	
	UpdateBaseFrom(VOICE2);
	
}

void CValuesDlg::OnKillfocusValueV2BaseToEdit() 
{
	UpdateBaseTo(VOICE2);
	
}

void CValuesDlg::OnKillfocusValueV2MultiFromEdit() 
{
	UpdateMultiFrom(VOICE2);
	
}

void CValuesDlg::OnKillfocusValueV2MultiToEdit() 
{
	UpdateMultiTo(VOICE2);
	
}

void CValuesDlg::OnKillfocusValueV3BaseFromEdit() 
{
	UpdateBaseFrom(VOICE3);
	
}

void CValuesDlg::OnKillfocusValueV3BaseToEdit() 
{
	UpdateBaseTo(VOICE3);
	
}

void CValuesDlg::OnKillfocusValueV3MultiFromEdit() 
{
	UpdateMultiFrom(VOICE3);
	
}

void CValuesDlg::OnKillfocusValueV3MultiToEdit() 
{
	UpdateMultiTo(VOICE3);
	
}

void CValuesDlg::OnKillfocusValueV4BaseFromEdit() 
{
	UpdateBaseFrom(VOICE4);

}

void CValuesDlg::OnKillfocusValueV4BaseToEdit() 
{
	UpdateBaseTo(VOICE4);

}

void CValuesDlg::OnValueV4Chk() 
{
	UpdateData(TRUE);
	

	GetDlgItem(IDC_VALUE_V4_BASE_FROM_EDIT)->EnableWindow(m_On[VOICE4]);
	GetDlgItem(IDC_VALUE_V4_MULTI_FROM_EDIT)->EnableWindow(m_On[VOICE4]);
	GetDlgItem(IDC_VALUE_V4_BASE_TO_EDIT)->EnableWindow(m_On[VOICE4]);
	GetDlgItem(IDC_VALUE_V4_MULTI_TO_EDIT)->EnableWindow(m_On[VOICE4]);
	GetDlgItem(IDC_VALUE_V4_ALL_RADIO)->EnableWindow(m_On[VOICE4]);
	GetDlgItem(IDC_VALUE_V4_PRIMES_RADIO)->EnableWindow(m_On[VOICE4]);
	GetDlgItem(IDC_STATIC_V4)->EnableWindow(m_On[VOICE4]);
	
}

void CValuesDlg::OnKillfocusValueV4MultiFromEdit() 
{
	UpdateMultiFrom(VOICE4);

}

void CValuesDlg::OnKillfocusValueV4MultiToEdit() 
{
	UpdateMultiTo(VOICE4);

}

void CValuesDlg::OnValueV5Chk() 
{
	UpdateData(TRUE);
	

	GetDlgItem(IDC_VALUE_V5_BASE_FROM_EDIT)->EnableWindow(m_On[VOICE5]);
	GetDlgItem(IDC_VALUE_V5_MULTI_FROM_EDIT)->EnableWindow(m_On[VOICE5]);
	GetDlgItem(IDC_VALUE_V5_BASE_TO_EDIT)->EnableWindow(m_On[VOICE5]);
	GetDlgItem(IDC_VALUE_V5_MULTI_TO_EDIT)->EnableWindow(m_On[VOICE5]);
	GetDlgItem(IDC_VALUE_V5_ALL_RADIO)->EnableWindow(m_On[VOICE5]);
	GetDlgItem(IDC_VALUE_V5_PRIMES_RADIO)->EnableWindow(m_On[VOICE5]);
	GetDlgItem(IDC_STATIC_V5)->EnableWindow(m_On[VOICE5]);
	
}

void CValuesDlg::OnKillfocusValueV5MultiFromEdit() 
{
	UpdateMultiFrom(VOICE5);

}

void CValuesDlg::OnKillfocusValueV5MultiToEdit() 
{
	UpdateMultiTo(VOICE5);

}

void CValuesDlg::OnKillfocusValueV5BaseFromEdit() 
{
	UpdateBaseFrom(VOICE5);

}

void CValuesDlg::OnKillfocusValueV5BaseToEdit() 
{
	UpdateBaseTo(VOICE5);

}

void CValuesDlg::OnKillfocusValueV6BaseFromEdit() 
{
	UpdateBaseFrom(VOICE6);

}

void CValuesDlg::OnKillfocusValueV6BaseToEdit() 
{
	UpdateBaseTo(VOICE6);

}

void CValuesDlg::OnValueV6Chk() 
{
	UpdateData(TRUE);
	

	GetDlgItem(IDC_VALUE_V6_BASE_FROM_EDIT)->EnableWindow(m_On[VOICE6]);
	GetDlgItem(IDC_VALUE_V6_MULTI_FROM_EDIT)->EnableWindow(m_On[VOICE6]);
	GetDlgItem(IDC_VALUE_V6_BASE_TO_EDIT)->EnableWindow(m_On[VOICE6]);
	GetDlgItem(IDC_VALUE_V6_MULTI_TO_EDIT)->EnableWindow(m_On[VOICE6]);
	GetDlgItem(IDC_VALUE_V6_ALL_RADIO)->EnableWindow(m_On[VOICE6]);
	GetDlgItem(IDC_VALUE_V6_PRIMES_RADIO)->EnableWindow(m_On[VOICE6]);
	GetDlgItem(IDC_STATIC_V6)->EnableWindow(m_On[VOICE6]);
	
}

void CValuesDlg::OnKillfocusValueV6MultiFromEdit() 
{
	UpdateMultiFrom(VOICE6);

}

void CValuesDlg::OnKillfocusValueV6MultiToEdit() 
{
	UpdateMultiTo(VOICE6);

}

void CValuesDlg::OnKillfocusValueV7BaseFromEdit() 
{
	UpdateBaseFrom(VOICE7);

}

void CValuesDlg::OnKillfocusValueV7BaseToEdit() 
{
	UpdateBaseTo(VOICE7);

}

void CValuesDlg::OnValueV7Chk() 
{
	UpdateData(TRUE);
	

	GetDlgItem(IDC_VALUE_V7_BASE_FROM_EDIT)->EnableWindow(m_On[VOICE7]);
	GetDlgItem(IDC_VALUE_V7_MULTI_FROM_EDIT)->EnableWindow(m_On[VOICE7]);
	GetDlgItem(IDC_VALUE_V7_BASE_TO_EDIT)->EnableWindow(m_On[VOICE7]);
	GetDlgItem(IDC_VALUE_V7_MULTI_TO_EDIT)->EnableWindow(m_On[VOICE7]);
	GetDlgItem(IDC_VALUE_V7_ALL_RADIO)->EnableWindow(m_On[VOICE7]);
	GetDlgItem(IDC_VALUE_V7_PRIMES_RADIO)->EnableWindow(m_On[VOICE7]);
	GetDlgItem(IDC_STATIC_V7)->EnableWindow(m_On[VOICE7]);
	
}

void CValuesDlg::OnKillfocusValueV7MultiFromEdit() 
{
	UpdateMultiFrom(VOICE7);

}

void CValuesDlg::OnKillfocusValueV7MultiToEdit() 
{
	UpdateMultiTo(VOICE7);

}

void CValuesDlg::OnKillfocusValueV8BaseFromEdit() 
{
	UpdateBaseFrom(VOICE8);

	
}

void CValuesDlg::OnKillfocusValueV8BaseToEdit() 
{
	UpdateBaseTo(VOICE8);
}

void CValuesDlg::OnValueV8Chk() 
{
	UpdateData(TRUE);
	

	GetDlgItem(IDC_VALUE_V8_BASE_FROM_EDIT)->EnableWindow(m_On[VOICE8]);
	GetDlgItem(IDC_VALUE_V8_MULTI_FROM_EDIT)->EnableWindow(m_On[VOICE8]);
	GetDlgItem(IDC_VALUE_V8_BASE_TO_EDIT)->EnableWindow(m_On[VOICE8]);
	GetDlgItem(IDC_VALUE_V8_MULTI_TO_EDIT)->EnableWindow(m_On[VOICE8]);
	GetDlgItem(IDC_VALUE_V8_ALL_RADIO)->EnableWindow(m_On[VOICE8]);
	GetDlgItem(IDC_VALUE_V8_PRIMES_RADIO)->EnableWindow(m_On[VOICE8]);
	GetDlgItem(IDC_STATIC_V8)->EnableWindow(m_On[VOICE8]);	
}

void CValuesDlg::OnKillfocusValueV8MultiFromEdit() 
{
	UpdateMultiFrom(VOICE8);

}

void CValuesDlg::OnKillfocusValueV8MultiToEdit() 
{
	UpdateMultiTo(VOICE8);

}

void CValuesDlg::OnReset() 
{
	CFractMusDoc* pDoc = ((CFractMusView*)m_pParent)->GetDocument();


	for (int i = VOICE1; i<MAXVOICES; i++)
		if (m_On[i])
		{
	
			m_BaseFrom[i] = pDoc->m_BaseFrom[i] = 2;
			m_BaseTo[i] = pDoc->m_BaseTo[i] = 1000;
			m_MultiFrom[i] = pDoc->m_MultiFrom[i] = 1;
			m_MultiTo[i] = pDoc->m_MultiTo[i] = 1000;

		}

	UpdateData(FALSE);
	
}

void CValuesDlg::OnRandom() 
{
	MessageBox("2EZ4U");
	
}

void CValuesDlg::OnDone() 
{
	((CFractMusView*)m_pParent)->ValuesDone();
	DestroyWindow();
	
}

void CValuesDlg::UpdateBaseFrom(int voice)
{
	CFractMusDoc* pDoc = ((CFractMusView*)m_pParent)->GetDocument();

	if (UpdateData(TRUE))
	{
		pDoc->m_BaseFrom[voice] = m_BaseFrom[voice];
		pDoc->SetModifiedFlag();
	}
	else
	{
		m_BaseFrom[voice] = pDoc->m_BaseFrom[voice];
		UpdateData(FALSE);
		PostMessage(WM_SETFOCUS);
	}

}

void CValuesDlg::UpdateBaseTo(int voice)
{
	CFractMusDoc* pDoc = ((CFractMusView*)m_pParent)->GetDocument();

	if (UpdateData(TRUE))
	{
		pDoc->m_BaseTo[voice] = m_BaseTo[voice];
		pDoc->SetModifiedFlag();
	}
	else
	{
		m_BaseTo[voice] = pDoc->m_BaseTo[voice];
		UpdateData(FALSE);
		PostMessage(WM_SETFOCUS);

	}



}

void CValuesDlg::UpdateMultiFrom(int voice)
{
	CFractMusDoc* pDoc = ((CFractMusView*)m_pParent)->GetDocument();

	if (UpdateData(TRUE))
	{
		pDoc->m_MultiFrom[voice] = m_MultiFrom[voice];
		pDoc->SetModifiedFlag();
	}
	else
	{
		m_MultiFrom[voice] = pDoc->m_MultiFrom[voice];
		UpdateData(FALSE);
		PostMessage(WM_SETFOCUS);

	}


}

void CValuesDlg::UpdateMultiTo(int voice)
{
	CFractMusDoc* pDoc = ((CFractMusView*)m_pParent)->GetDocument();

	if (UpdateData(TRUE))
	{
		pDoc->m_MultiTo[voice] = m_MultiTo[voice];
		pDoc->SetModifiedFlag();
	}
	else
	{
		m_MultiTo[voice] = pDoc->m_MultiTo[voice];
		UpdateData(FALSE);
		PostMessage(WM_SETFOCUS);
	}


}


