
/*************************************************************************


Copyright 1998, 1999, 2000 Gustavo Diaz-Jerez


This file is part of FractMus.

    FractMus is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FractMus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FractMus; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


**************************************************************************/


#if !defined(AFX_WOLFRAMDLG_H__C8E02441_FF1E_11D2_9963_649908C10000__INCLUDED_)
#define AFX_WOLFRAMDLG_H__C8E02441_FF1E_11D2_9963_649908C10000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// WolframDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CWolframDlg dialog

class CWolframGraph;

class CWolframDlg : public CDialog
{
// Construction
public:
	CWolframDlg(CWnd* pParent = NULL);   // standard constructor

	void UpdateRules();
	void UpdateBits();

	CWolframGraph* m_pGraph;

	CString title;

// Dialog Data
	//{{AFX_DATA(CWolframDlg)
	enum { IDD = IDD_WOLFRAM_DLG };
	long	m_initconfig;
	short	m_universesize;
	BYTE	m_rules;
	BOOL	m_bit0;
	BOOL	m_bit1;
	BOOL	m_bit2;
	BOOL	m_bit3;
	BOOL	m_bit4;
	BOOL	m_bit5;
	BOOL	m_bit6;
	BOOL	m_bit7;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWolframDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CWolframDlg)
	afx_msg void OnRules1();
	afx_msg void OnRules2();
	afx_msg void OnRules3();
	afx_msg void OnRules4();
	afx_msg void OnRules5();
	afx_msg void OnRules6();
	afx_msg void OnRules7();
	afx_msg void OnRules8();
	afx_msg void OnChangeRulesEd();
	virtual void OnCancel();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnVisualize();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WOLFRAMDLG_H__C8E02441_FF1E_11D2_9963_649908C10000__INCLUDED_)
