/// events definition

#ifndef EVENT_H
#define EVENT_H


struct tagEvent
{
	long		count; //first Event must start in count 0
	BOOL		IsActive[MAXVOICES];
	long		Base[MAXVOICES];
	long		Multi[MAXVOICES];
	long		StartNum[MAXVOICES];
	BOOL		Modulates[MAXVOICES];
	BOOL		ModulRandom[MAXVOICES];
	int			ModulNum[MAXVOICES];
	int			Note[MAXVOICES];
	int*		pScale[MAXVOICES];
	float		NoteValue[MAXVOICES];
	int			Instrument[MAXVOICES];
	BOOL		Mode[MAXVOICES];
	long		Counter[MAXVOICES];
	int			ScaleID[MAXVOICES];
	int			NumOctsID[MAXVOICES];
	int			NoteValueID[MAXVOICES];
	int			Tempo;

	tagEvent();
	~tagEvent();
	
};

tagEvent::tagEvent()
{
	for(int i = VOICE1; i<MAXVOICES; i++)
		pScale[i] = NULL;
}

tagEvent::~tagEvent()
{
	for(int i = VOICE1; i<MAXVOICES; i++)
		if (pScale[i])
		{
			delete pScale[i];
			pScale[i] = NULL;
		}
}


#endif

